Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 29 Aug 2014, 14:24
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars ) » Pour les francophones
Skype 4.2 ne fonctionne plus
Moderators: Béèm, darkerror05
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 2 [25 Posts]   Goto page: 1, 2 Next
Author Message
augras

Joined: 11 Nov 2013
Posts: 561
Location: france

PostPosted: Wed 06 Aug 2014, 08:36    Post subject:  Skype 4.2 ne fonctionne plus
Subject description: comment faire fonctionner skype 4.3 ?
 

Bonjour,
Tout est dans le titre : c'est apparemment général et une mise à jour vers la version 4.3 est nécessaire.
Le message "Skype ne peut pas se connecter" s'affiche systématiquement.
C'est radical pour obliger à monter en version !
Et donc est-ce qu'une version 4.3 est envisageable pour nos toutous ? ... les ados ont la dent dure quand ça ne marche pas et que c'est encore ce vilain pinguin qui empêche la roue de tourner... sauf que même sous la banquise c'est ici microsoft qui tient la barre : le libre n'est pas à mettre entre toutes les mains !
Merci.
Philippe

Last edited by augras on Thu 07 Aug 2014, 15:23; edited 1 time in total
Back to top
View user's profile Send private message 
Argolance


Joined: 06 Jan 2008
Posts: 1825
Location: PORT-BRILLET (Mayenne - France)

PostPosted: Wed 06 Aug 2014, 09:06    Post subject:  

Note: Surtout, comme tu le dis, que c'est l'autre gros naze de bill gates qu'a racheté skype... et qui s'arrange même pour que certaines webcams microdaube relativement anciennes, ne soient pas "reconnues" par Skype! Autant dire qu'il ne reconnait même plus ses amis, ce qui n'a rien d'étonnant de la part de quelqu'un qui a complètement perdu le sens des valeurs et de la simple politesse, n'en déplaise aux ambitions affichées de sa fondation mafieuse...

http://community.skype.com/t5/Mac-OS-et-Linux/Linux-Echec-de-la-connection-au-server/m-p/3448149 wrote:
Étape par étape, méthodiquement, Skype déconnecte actuellement de ses serveurs toutes les versions détectées comme obsolètes.

Les Skypeurs concernés voient leur connexion en cours s'interrompre brusquement, tandis qu'un message d'alerte les invite fermement à mettre leur version à jour sans délai, sous peine de ne plus pouvoir s'identifier sur le serveur et donc, par conséquent, de se trouver de facto dans l'impossibilité d'encore utiliser Skype.

La mesure est d'autant plus radicale que Skype ne semble avoir établi aucune dérogation/période transitoire/tolérance en faveur de ceux qui ne peuvent en aucun cas installer la version la plus récente, soit pour raison matérielle (type d'ordinateur, processeur, etc.), soit pour cause logicielle.

Cordialement.

_________________


Last edited by Argolance on Wed 06 Aug 2014, 09:41; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
ASRI éducation


Joined: 09 May 2009
Posts: 2410
Location: France

PostPosted: Wed 06 Aug 2014, 09:32    Post subject: Re: Skype 4.2 ne fonctionne plus
Subject description: version 4.3 disponible pour nos toutous ?
 

augras wrote:
Et donc est-ce qu'une version 4.3 est envisageable pour nos toutous ?

Il semble que oui => http://www.murga-linux.com/puppy/viewtopic.php?t=94807
Cordialement,

_________________
Projet ASRI éducation => Association | Forum | Dépôt | Espace kids
Back to top
View user's profile Send private message Visit poster's website 
augras

Joined: 11 Nov 2013
Posts: 561
Location: france

PostPosted: Wed 06 Aug 2014, 09:33    Post subject:  

J'adhère complètement à tes propos !
Je viens de télécharger la version 4.3 pour precise sur le site skype : tout s'installe bien et se lance mais pas de son.
Dans les prérequis il faut qt en version 4.7, j'ai déjà en version supérieur, et pour le son il faut pulseaudio en version 1.0 minimum... je me précipite sur le ppm qui propose la version 3 avec 2 dépendances le tout pour 3 Mo... mais le fichier n'est plus disponible : et de découvrir que se sont tous les dépôts raring qui ont été supprimés ! Plus rien nulle part ! Je suis sur le cul !
C'est décidément pas une bonne journée.
Philippe
Back to top
View user's profile Send private message 
augras

Joined: 11 Nov 2013
Posts: 561
Location: france

PostPosted: Wed 06 Aug 2014, 09:38    Post subject:  

Merci ASRi,
je vais de ce pas lire le fil.
Philippe
Back to top
View user's profile Send private message 
ASRI éducation


Joined: 09 May 2009
Posts: 2410
Location: France

PostPosted: Wed 06 Aug 2014, 10:04    Post subject:  

augras wrote:
mais le fichier n'est plus disponible : et de découvrir que se sont tous les dépôts raring qui ont été supprimés ! Plus rien nulle part ! Je suis sur le cul !

Ah bon ? C'est possible ça ? J'espère que ce n'est que ponctuel.

_________________
Projet ASRI éducation => Association | Forum | Dépôt | Espace kids
Back to top
View user's profile Send private message Visit poster's website 
Argolance


Joined: 06 Jan 2008
Posts: 1825
Location: PORT-BRILLET (Mayenne - France)

PostPosted: Wed 06 Aug 2014, 11:08    Post subject:  

Hello,
Je viens de tester Skype-4.3.0.37 que j'ai converti en sfs afin de remplacer l'ancien. J'ai préalablement détruit le dossier caché /root/.skype au cas où, installé pulseaudio-2.0: tout à l'air de fonctionner correctement.
Une surprise cependant: pulseaudio copie un dossier nommé pulseaudio-2.0, dans lequel se trouvent un sous-dossier 'src' ainsi qu'un sous-sous dossier '.libs' contenant 150 éléments dans le dossier '/root/my-documents/Downloads', Shocked. Je suis incapable de dire s'il s'agit d'une erreur de la part de celui qui a compilé ou bien si c'est leur vraie place, et qu'alors ils seraient utilisés par le système, ce que semble confirmer la pastille verte en haut et à gauche de l'icône du dossier en question.
Tout ça me parait pas très 'catholique'...
Une idée?

Cordialement.

_________________

Back to top
View user's profile Send private message Visit poster's website 
Médor


Joined: 26 May 2011
Posts: 1676

PostPosted: Wed 06 Aug 2014, 11:42    Post subject:  

Bonjour,

À défaut il est toujours possible d'utiliser Skype 2.1 ou 2.2 Exclamation
Saintless a trouvé une parade Wink
Il faut lancer Skype par ce script :
/usr/bin/skype-start
Code:
#!/bin/bash

rm -f /root/.Skype/shared.lck
rm -f /root/.Skype/shared.xml
rm -fr /root/.Skype/shared_httpfe
rm -fr /root/.Skype/shared_dynco
skype

On peut ensuite modifier le fichier /usr/share/applications/skype.destop » Exec=skype-start
Il faut prendre soin de bien configurer skype pour se connecter automatiquement au lancement et bien fermer Skype complètement une simple déconnexion n'est pas suffisante pour pouvoir relancer Skype.

OscarTalks a aussi créé une version modifiée skype 2.2.35-new en pet ou sfs (30mo) disponible dans ce dépôt
Voir aussi ce message...


Cordialement,
Médor.

_________________
Recherches Puppy|Index Puppy|Index FR|Tuto TTL
Back to top
View user's profile Send private message 
augras

Joined: 11 Nov 2013
Posts: 561
Location: france

PostPosted: Wed 06 Aug 2014, 12:08    Post subject:  

ASRI éducation wrote:
augras wrote:
mais le fichier n'est plus disponible : et de découvrir que se sont tous les dépôts raring qui ont été supprimés ! Plus rien nulle part ! Je suis sur le cul !

Ah bon ? C'est possible ça ? J'espère que ce n'est que ponctuel.

J'espère aussi mais j'ai peu d'espoir ! Les dossier raring des dépôts visités ont été supprimés sur tous les dépôts visités.
Quand on va par exemple sur http://archive.ubuntu.com/ubuntu/ vers lequel cherche le ppm il ne reste plus que quelques distributions, très peu. Et c'est le cas sur d'autres dépôts qui ne sont que des miroirs du premier.
Un acte de piratage ?

Pour revenir sur le sujet : Argolance, tu as utiliser quel paquet pour pulseaudio2. Chez moi ça ne fonctionne pas.

Philippe
Back to top
View user's profile Send private message 
Argolance


Joined: 06 Jan 2008
Posts: 1825
Location: PORT-BRILLET (Mayenne - France)

PostPosted: Wed 06 Aug 2014, 13:25    Post subject:  

Bonsoir,
Arrow skype-4.3.0.37 (paquet pet que j'ai transformé en sfs)
Arrow pulseaudio-2.0 (paquet pet installé tel quel, avec les dossiers étranges mentionnés plus haut)
Mais j'ai déjà sur ma machine (ToOpPy 1.0):
    - qt-4.8.0-libs-essentials
    - qt-4.8.0-webkit-phonon-gstreamer-opengl
Arrow ...téléchargeables ici (paquets pets et fichiers sfs)

EDIT
J'ai oublié un détail d'importance: pour avoir le son il faut que je tapes en console:
Code:
pulseaudio --start

Désolé!
Il y a sans doute moyen d'arranger ça pour que ça se fasse automatiquement au démarrage de skype.

Cordialement.

_________________

Back to top
View user's profile Send private message Visit poster's website 
Argolance


Joined: 06 Jan 2008
Posts: 1825
Location: PORT-BRILLET (Mayenne - France)

PostPosted: Wed 06 Aug 2014, 14:24    Post subject:  

Voir EDIT dans le post précédent
_________________

Back to top
View user's profile Send private message Visit poster's website 
augras

Joined: 11 Nov 2013
Posts: 561
Location: france

PostPosted: Wed 06 Aug 2014, 15:43    Post subject:  

On progresse.
Avec le lancement de la commande pulseaudio --start j'avais une erreur signalée dans le post donner par ASRI (ne peut être lancé en root) que j'ai corrigée comme indiquée dans le post :
il faut mettre en commentaire la ligne load-module module-alsa-source device=hw:1,0 du fichier /usr/etc/pulse/default.pa.
En faisant ça j'ai enfin du son... mais impossible de faire fonctionner le micro qui fonctionne parfaitement par ailleurs.
Le problème est que je ne trouve pas de quoi jouer sur les niveaux de pulse comme avec retrovol qui ne doit agir que sur alsa ? Je me trompe ?

Je viens de voir le post de médor, merci à lui pour sa recherche.

Par contre dès que l'on écoute du son par ailleurs, un morceau de musique par exemple, il faut tuer pulseaudio via la console, pulseaudio --kill, et le relancer avant skype sinon on n'a plus de son.

Reprise du boulot demain : je crois que pour ce soir je vais arrêter les frais.

Merci,

Philippe
Back to top
View user's profile Send private message 
augras

Joined: 11 Nov 2013
Posts: 561
Location: france

PostPosted: Wed 06 Aug 2014, 16:12    Post subject:  

Je n'ai pas pu résister... et ça marche !

En fait la solution est dans le fil donné par ASRI.
Il ne fallait pas mettre en commentaire la ligne dans le fichier default.pa mais remplacer hw:1,0 par hw:0,0 pour avoir
load-module module-alsa-source device=hw:0,0
mais ça ne suffisait pas et il fallait ajouter également device=hw:0,0 à la ligne précédente, load-module module-alsa-sink pour avoir
load-module module-alsa-sink device=hw:0,0
Et là tout fonctionne.
Bien entendu cela varie suivant le matériel : hw:1,0 peut tout à fait fonctionner et dans ce cas on ne change rien.

La difficulté est maintenant de simplifier tout ça pour que l'utilisateur lambda n'est rien d'autre à faire que d'installer les deux paquets, sinon linux va être bénie pour des siècles et des siècles !

Bonne nuit,

Philippe
Back to top
View user's profile Send private message 
ASRI éducation


Joined: 09 May 2009
Posts: 2410
Location: France

PostPosted: Wed 06 Aug 2014, 18:13    Post subject:  

augras wrote:
La difficulté est maintenant de simplifier tout ça pour que l'utilisateur lambda n'est rien d'autre à faire que d'installer les deux paquets, sinon linux va être bénie pour des siècles et des siècles !

Je suis 100% d'accord avec toi.

_________________
Projet ASRI éducation => Association | Forum | Dépôt | Espace kids
Back to top
View user's profile Send private message Visit poster's website 
Argolance


Joined: 06 Jan 2008
Posts: 1825
Location: PORT-BRILLET (Mayenne - France)

PostPosted: Thu 07 Aug 2014, 06:20    Post subject:  

Idem! C'est là que les Athéniens... Cool
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 1 of 2 [25 Posts]   Goto page: 1, 2 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars ) » Pour les francophones
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0842s ][ Queries: 11 (0.0034s) ][ GZIP on ]